Bug 442886 - /dev/.udev* objects labeled with device_t type
/dev/.udev* objects labeled with device_t type
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: udev (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Harald Hoyer
Milan Zazrivec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 08:24 EDT by Milan Zazrivec
Modified: 2008-05-21 11:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0374
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
verified fix (1.04 KB, patch)
2008-04-17 09:28 EDT, Harald Hoyer
no flags Details | Diff

  None (edit)
Description Milan Zazrivec 2008-04-17 08:24:05 EDT
Description of problem:
Objects under /dev/.udev are labeled with wrong (device_t) type

Version-Release number of selected component (if applicable):
udev-095-14.15.el5

How reproducible:
Always

Steps to Reproduce:
1. Install some of the RHEL5.2 snapshots
2. After reboot:
# setfiles -vqn /etc/selinux/targeted/contexts/files/file_contexts /dev/.udev|\
  grep relabeling
  
Actual results:
# ls -Zd /dev/.udev
drwxr-xr-x  root root system_u:object_r:device_t       /dev/.udev

Expected results:
# ls -Zd /dev/.udev
drwxr-xr-x  root root system_u:object_r:udev_tbl_t     /dev/.udev
Comment 2 Harald Hoyer 2008-04-17 09:28:38 EDT
Created attachment 302746 [details]
verified fix
Comment 3 Harald Hoyer 2008-04-18 02:36:24 EDT
what puzzles me, is that not every entry in /dev/.udev has type udev_tbl_t.
Comment 4 Daniel Walsh 2008-04-21 13:31:16 EDT
The current SELinux policy only matches on files, not directories, chr_files ...
Comment 8 Milan Zazrivec 2008-04-23 08:54:59 EDT
Verified with udev-095-14.16.el5
Comment 10 errata-xmlrpc 2008-05-21 11:59:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0374.html

Note You need to log in before you can comment on or make changes to this bug.